<template>
  <el-dialog v-model="beiZhuDialog" title="备注">
    <el-input type="textarea" v-model="beiZhu"></el-input>
    <el-divider></el-divider>
    <el-button type="success" @click="baoCunClick">保存</el-button>
  </el-dialog>
</template>

<script>
import {ref} from "vue";
import {setlModifyReq} from "../../api/medical-insurance/si-setl-upload";

export default {
  name: "BeiZhu",
  emits: ['baoCunHouGuanBi'],
  props: {
    data: {}
  },
  setup(props, {emit}) {
    const beiZhuDialog = ref(false)
    const beiZhu = ref('')

    const baoCunClick = () => {
      props.data.reqRemark = beiZhu.value
      setlModifyReq(props.data).then((res) => {
        beiZhuDialog.value = false
        emit('baoCunHouGuanBi')
        beiZhu.value = ''
      })
    }
    return {
      beiZhuDialog,
      baoCunClick,
      beiZhu,
    }
  }
}
</script>

<style scoped>

</style>
